Create a policy override
Project-scoped operation. Successful JSON and status-only responses vary by operation. The service does not declare a stable response schema for this operation; do not assume a collection envelope or undocumented fields.
POST
/
shield
/
domains
/
{domain_id}
/
default-rule-overrides
Create a policy override
curl --request POST \
--url https://api.aptranet.com/shield/domains/{domain_id}/default-rule-overrides \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"target_ids": [
123
],
"enabled": true
}
'import requests
url = "https://api.aptranet.com/shield/domains/{domain_id}/default-rule-overrides"
payload = {
"name": "<string>",
"target_ids": [123],
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Aptranet-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', target_ids: [123], enabled: true})
};
fetch('https://api.aptranet.com/shield/domains/{domain_id}/default-rule-overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/shield/domains/{domain_id}/default-rule-overrides"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"target_ids\": [\n 123\n ],\n \"enabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"error_description": "<string>"
}Authorizations
Project API access key.
Current secret for the access key.
Path Parameters
Body
application/json
Required string length:
1 - 100Available options:
detector, rule Minimum array length:
1Maximum string length:
1000Maximum array length:
5Show child attributes
Show child attributes
Response
Successful response.
Create a policy override
curl --request POST \
--url https://api.aptranet.com/shield/domains/{domain_id}/default-rule-overrides \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"target_ids": [
123
],
"enabled": true
}
'import requests
url = "https://api.aptranet.com/shield/domains/{domain_id}/default-rule-overrides"
payload = {
"name": "<string>",
"target_ids": [123],
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Aptranet-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', target_ids: [123], enabled: true})
};
fetch('https://api.aptranet.com/shield/domains/{domain_id}/default-rule-overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/shield/domains/{domain_id}/default-rule-overrides"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"target_ids\": [\n 123\n ],\n \"enabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"error_description": "<string>"
}